using Sirenix.OdinInspector.Editor.Validation;
using VOID.Editor.AttributeValidator;

[assembly: RegisterValidator(typeof(SceneReferenceValidator))]

namespace VOID.Editor.AttributeValidator
{
    public class SceneReferenceValidator : ValueValidator<SceneReference>
    {
        protected override void Validate(ValidationResult result)
        {
            if (ValueEntry.SmartValue == "") result.AddError(Property.NiceName + " is required");
        }
    }
}